For the complete documentation index, see llms.txt. This page is also available as Markdown.

Company

Company information and metadata

Beta
get

Search for companies by name or ticker symbol. Returns a list of companies matching the search query. A maximum of 10 results will be returned. The most relevant results are returned first.

Pricing (depending on the response received):

  • 200 : 1

  • Other responses (40x, 50x): Free of charge

Authorizations
AuthorizationstringRequired

JWT bearer token used for authentication.

Test token (no charges apply; responses contain mock data):

Bearer sk_test_tracenable
Query parameters
querystring · min: 1 · max: 100Required

Search query for company name or ticker symbol

Example: Apple
Responses
200

List of companies matching the search query

application/json
get/api/v1/companies/search
GET /api/v1/companies/search?query=Apple HTTP/1.1
Host: tracenable.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "company_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "company_name": "Apple Inc.",
    "ticker": "AAPL",
    "mic_code": "XNYS",
    "country": "United States"
  }
]
Beta

List Companies

get

Retrieve a list of all available companies.

Pricing (depending on the response received):

  • 200 : 100

  • Other responses (40x, 50x): Free of charge

Authorizations
AuthorizationstringRequired

JWT bearer token used for authentication.

Test token (no charges apply; responses contain mock data):

Bearer sk_test_tracenable
Responses
200

List of available companies

application/json
get/api/v1/companies/list
GET /api/v1/companies/list HTTP/1.1
Host: tracenable.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "company_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "company_name": "Apple Inc.",
    "ticker": "AAPL",
    "mic_code": "XNYS",
    "country": "United States"
  }
]

Last updated

Was this helpful?